Get Actual Configuration
GET https://www.expedy.fr/api/v2/devices/{device_uid}/wifi/conf
This endpoint allows you to get the device's actual wifi configuration in json format.
Authentication
This endpoint requires an Authorization header with a valid API key.
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
device_uid |
string |
Yes | The Device's unique id, as found in your Expedy account |
Response 200
OK
| Parameter | Type | Required | Description |
|---|---|---|---|
last_ping |
integer |
No | (ex: 1641509604) |
wifi_conf |
array |
No |
wifi_conf properties:
| Parameter | Type | Required | Description |
|---|---|---|---|
wifi_id |
integer |
No | (ex: 40) |
wifi_ssid |
string |
No | (ex: my_local_ssid) |
wifi_psk |
string |
No | (ex: ***********************) |
Response Example:
{
"status": "ok",
"last_ping": 1641490999,
"wifi_conf": [
{
"wifi_id": 40,
"wifi_ssid": "my_local_ssid",
"wifi_psk": "***********************"
}
]
}